VismaBouwsoftAPICalls.v1_PUT_ProjectPhases Method
v1_PUT_ProjectPhases() as String

This API call is used to update fields of a(n) ProjectPhase

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /ProjectPhases/{id}

You make this API call with the key field id as the path parameter (the id of the ProjectPhase you want to update)

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
project_id tpLong 0 No No No
project_pnr tpLong 0 No No No
project_unr tpLong 0 No No No
project_name tpString 0 No No No
projectphase_id tpLong 0 No No No
title tpString 0 No No No
date_executed tpDateNullString 0 No Yes No
estimatedwork_hours tpLong 0 No Yes No
date_deadline tpDateNullString 0 No Yes No
note tpString 0 No No No

/ProjectPhases/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectPhases/3495

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: jbffWxfDbGzSflPVVfzRqtlbfOfIGfDGflVbzVlAlPfflkAAGk

Query Parameters :
ParameterName: columns, ParameterValue: date_deadline=’2019–06–03’

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 3495
  }
]
}